Imports DigitalData.Modules.ZooFlow.Constants

Namespace DocumentResultList
    Public Class Params
        ''' <summary>
        ''' WindowGuid is used to save layout data
        ''' </summary>
        Public WindowGuid As String
        Public WindowTitle As String = ""
        Public Results As New List(Of DocumentResult)
        Public ColumnNames As New ColumnNames
        Public OperationModeOverride As OperationMode = OperationMode.None
    End Class

    Public Class DocumentResult
        Inherits BaseResult
    End Class

    Public Class ColumnNames
        Public ObjectIdColumn As String = "DocId"
        Public FullPathColumn As String = "FULL_FILENAME"
        Public FilenameColumn As String = "Name"
        Public IconColumn As String = "ICON"
    End Class

End Namespace